#include<iostream>
using namespace std;
int main()
{
    long long N,i,pr,j,var=0,br=0;
    cin>>N;
    long long h[N];
    for(i=0; i<N; i++)
    {
        cin>>h[i];
    }
    for(int k=N/2-1; k>=0; k--)
    {
        if(h[k]<h[N/2])
        {
            var++;
            br++;
        }
    }
    if(br=N/2)
    {
        var++;

    }
    br=0;
    for(int m=N-1; m>=N/2; m--)
    {
        if(h[m]<h[N])
        {
            var++;
            br++;
        }
    }
    if(br=N/2)
    {
        var++;

    }
    cout<<var*2;
    return 0;
}
